Patrick Georgi has uploaded this change for review. ( https://review.coreboot.org/c/flashrom/+/46894 )
Change subject: test_build.sh: Move build test procedure to repository
......................................................................
test_build.sh: Move build test procedure to repository
Instead of hard coding the test procedure on qa.coreboot.org, allow
running a script in the repo instead. The server is already adapted
to do that, so once there's a test_build.sh file in the toplevel
directory, it's run in place of the default operation.
The content of this change mirrors the default operation exactly so
should serve as a good starting point.
The script is executed in an encapsulate[0] context with the workspace,
/tmp and $HOME/.ccache writable, everything else read-only and
network disabled.
It should return 0 on success, anything else on failure, as is normal
for UNIX processes.
[0] https://review.coreboot.org/cgit/encapsulate.git
Change-Id: I37a8e925d1b283c3b8f87cb3d0f1ed8920f2cf95
Signed-off-by: Patrick Georgi <pgeorgi(a)google.com>
---
A test_build.sh
1 file changed, 8 insertions(+), 0 deletions(-)
git pull ssh://review.coreboot.org:29418/flashrom refs/changes/94/46894/1
diff --git a/test_build.sh b/test_build.sh
new file mode 100755
index 0000000..0e7f37a
--- /dev/null
+++ b/test_build.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+make CONFIG_EVERYTHING=yes WARNERROR=yes
+
+meson -p out
+(cd out && ninja)
+(cd out && ninja test)
--
To view, visit https://review.coreboot.org/c/flashrom/+/46894
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: flashrom
Gerrit-Branch: master
Gerrit-Change-Id: I37a8e925d1b283c3b8f87cb3d0f1ed8920f2cf95
Gerrit-Change-Number: 46894
Gerrit-PatchSet: 1
Gerrit-Owner: Patrick Georgi <pgeorgi(a)google.com>
Gerrit-MessageType: newchange
Edward O'Callaghan has uploaded this change for review. ( https://review.coreboot.org/c/flashrom/+/47005 )
Change subject: spi25.c: Use JEDEC_CE consts in spi_simple_write_cmd() calls
......................................................................
spi25.c: Use JEDEC_CE consts in spi_simple_write_cmd() calls
Make use of the JEDEC_CE_{60,62,C7} defined constants of
the op-codes in each of the spi_simple_write_cmd() calls
to assist in readability.
BUG=none
BRANCH=none
TEST=builds same object.
Change-Id: I1876781672fe03302af4a6ff8d365f2e6c3b6f13
Signed-off-by: Edward O'Callaghan <quasisec(a)google.com>
---
M spi25.c
1 file changed, 3 insertions(+), 3 deletions(-)
git pull ssh://review.coreboot.org:29418/flashrom refs/changes/05/47005/1
diff --git a/spi25.c b/spi25.c
index 1e797c8..15cca39 100644
--- a/spi25.c
+++ b/spi25.c
@@ -463,19 +463,19 @@
static int spi_chip_erase_60(struct flashctx *flash)
{
/* This usually takes 1-85s, so wait in 1s steps. */
- return spi_simple_write_cmd(flash, 0x60, 1000 * 1000);
+ return spi_simple_write_cmd(flash, JEDEC_CE_60, 1000 * 1000);
}
static int spi_chip_erase_62(struct flashctx *flash)
{
/* This usually takes 2-5s, so wait in 100ms steps. */
- return spi_simple_write_cmd(flash, 0x62, 100 * 1000);
+ return spi_simple_write_cmd(flash, JEDEC_CE_62, 100 * 1000);
}
static int spi_chip_erase_c7(struct flashctx *flash)
{
/* This usually takes 1-85s, so wait in 1s steps. */
- return spi_simple_write_cmd(flash, 0xc7, 1000 * 1000);
+ return spi_simple_write_cmd(flash, JEDEC_CE_C7, 1000 * 1000);
}
int spi_block_erase_52(struct flashctx *flash, unsigned int addr,
--
To view, visit https://review.coreboot.org/c/flashrom/+/47005
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: flashrom
Gerrit-Branch: master
Gerrit-Change-Id: I1876781672fe03302af4a6ff8d365f2e6c3b6f13
Gerrit-Change-Number: 47005
Gerrit-PatchSet: 1
Gerrit-Owner: Edward O'Callaghan <quasisec(a)chromium.org>
Gerrit-MessageType: newchange